POST
/user/rename-tenant
const url = 'https://example.com/user/rename-tenant';const options = { method: 'POST', headers: {'X-Tenzir-UserKey': '<X-Tenzir-UserKey>', 'Content-Type': 'application/json'}, body: '{"tenant_id":"example","name":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/user/rename-tenant \ --header 'Content-Type: application/json' \ --header 'X-Tenzir-UserKey: <X-Tenzir-UserKey>' \ --data '{ "tenant_id": "example", "name": "example" }'Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/json
RenameTenantRequest
object
tenant_id
required
Tenant Id
string
name
required
Name
string
Example generated
{ "tenant_id": "example", "name": "example"}Responses
Section titled “ Responses ”Successful Response
Media type application/json
RenameTenantResponse
object
Example generated
{}{"detail": "Invalid API Key"}
{"detail": "Not permitted to access this tenant"}
{"detail": "Tenant not found"}
Validation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}